org.eclipse.aether.collection

## Class DependencyCollectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.collection.DependencyCollectionException

- All Implemented Interfaces:
    Serializable

      public class DependencyCollectionException
      extends RepositoryException

  Thrown in case of bad artifact descriptors, version ranges or other issues encountered during calculation of the dependency graph.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyCollectionException(CollectResult result)` Creates a new exception with the specified result.
    `DependencyCollectionException(CollectResult result, String message)` Creates a new exception with the specified result and detail message.
    `DependencyCollectionException(CollectResult result, String message, Throwable cause)` Creates a new exception with the specified result, detail message and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CollectResult` | `getResult()` Gets the collection result at the point the exception occurred.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyCollectionException

          public DependencyCollectionException(CollectResult result)

      Creates a new exception with the specified result.
      Parameters:
        `result` - The collection result at the point the exception occurred, may be `null`.

    - #### DependencyCollectionException

          public DependencyCollectionException(CollectResult result,
                                       String message)

      Creates a new exception with the specified result and detail message.
      Parameters:
        `result` - The collection result at the point the exception occurred, may be `null`.
        `message` - The detail message, may be `null`.

    - #### DependencyCollectionException

          public DependencyCollectionException(CollectResult result,
                                       String message,
                                       Throwable cause)

      Creates a new exception with the specified result, detail message and cause.
      Parameters:
        `result` - The collection result at the point the exception occurred, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getResult

          public CollectResult getResult()

      Gets the collection result at the point the exception occurred. Despite being incomplete, callers might want to use this result to fail gracefully and continue their operation with whatever interim data has been gathered.
      Returns:
        The collection result or `null` if unknown.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.